cudaAccessPolicyWindow(3)

NAME
cudaAccessPolicyWindow -

SYNOPSIS

  Data Fields

void * base_ptr
enum cudaAccessProperty hitProp
float hitRatio
enum cudaAccessProperty missProp
size_t num_bytes

Detailed Description

Specifies an access policy for a window, a contiguous extent of memory beginning at base_ptr and ending at base_ptr + num_bytes. Partition into many segments and assign segments such that. sum of 'hit segments' / window == approx. ratio. sum of 'miss segments' / window == approx 1-ratio. Segments and ratio specifications are fitted to the capabilities of the architecture. Accesses in a hit segment apply the hitProp access policy. Accesses in a miss segment apply the missProp access policy.

Field Documentation

  void* cudaAccessPolicyWindow::base_ptr

Starting address of the access policy window. CUDA driver may align it.

  enum cudaAccessProperty cudaAccessPolicyWindow::hitProp

CUaccessProperty set for hit.

  float cudaAccessPolicyWindow::hitRatio

hitRatio specifies percentage of lines assigned hitProp, rest are assigned missProp.

  enum cudaAccessProperty cudaAccessPolicyWindow::missProp

CUaccessProperty set for miss. Must be either NORMAL or STREAMING.

  size_t cudaAccessPolicyWindow::num_bytes

Size in bytes of the window policy. CUDA driver may restrict the maximum size and alignment.

Author

Generated automatically by Doxygen from the source code.